php max execution time needs to be increased for install

Bug #1318430 reported by Robert Lyon on 2014-05-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Unassigned
1.7
High
Unassigned
1.8
High
Unassigned
1.9
High
Unassigned

Bug Description

Looks like the install needs to have a ini_set('max_execution_time', 120); added to it like what we do for upgrade

Robert Lyon (robertl-9) wrote :

It would be good if we could change the ajax installer so that it shows an error if one of the ajax tasks errors out, rather than spinning forever because that's a very common complaint. Get it to compare ajax time elapsed to when the ajax request started + php max execution time and if time elapsed has got too big throw an error.

Maybe we could do a follow-up request where we get the error messages from the session and print those to the screen.

Aaron Wells (u-aaronw) wrote :

I filed a separate bug for improving error reporting in the installer: https://bugs.launchpad.net/mahara/+bug/1318432

Robert Lyon (robertl-9) on 2014-05-12
Changed in mahara:
milestone: 1.9.1 → 1.10.0
no longer affects: mahara/trunk
Changed in mahara:
status: Confirmed → In Progress

Reviewed: https://reviews.mahara.org/3344
Committed: http://gitorious.org/mahara/mahara/commit/817d460f5fba2f7c5c69f7fe7f459943b52fbfd5
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 817d460f5fba2f7c5c69f7fe7f459943b52fbfd5
Author: Robert Lyon <email address hidden>
Date: Mon May 12 12:21:11 2014 +1200

Increasing max execution time for install (Bug #1318430)

To allow for systems where the installation takes longer than their
phpini max_execution_time setting.

Made the changing of the limit pass thru a function for sanity checking

Change-Id: I0d27d68a377c338c634f2f845829682af149d79f
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/3345
Committed: http://gitorious.org/mahara/mahara/commit/22a68633ee01291ecd53b9db52cd0250d10862f9
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.9_STABLE

commit 22a68633ee01291ecd53b9db52cd0250d10862f9
Author: Robert Lyon <email address hidden>
Date: Mon May 12 12:21:11 2014 +1200

Increasing max execution time for install (Bug #1318430)

To allow for systems where the installation takes longer than their
phpini max_execution_time setting.

Made the changing of the limit pass thru a function for sanity checking

Change-Id: I0d27d68a377c338c634f2f845829682af149d79f
Signed-off-by: Robert Lyon <email address hidden>

Aaron Wells (u-aaronw) on 2014-05-12
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "1.7_STABLE" branch: https://reviews.mahara.org/3347

Reviewed: https://reviews.mahara.org/3346
Committed: http://gitorious.org/mahara/mahara/commit/e1266ccc9214e6fbdbfb8cd9c1a1a901dcf9696f
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.8_STABLE

commit e1266ccc9214e6fbdbfb8cd9c1a1a901dcf9696f
Author: Robert Lyon <email address hidden>
Date: Mon May 12 12:21:11 2014 +1200

Increasing max execution time for install (Bug #1318430)

To allow for systems where the installation takes longer than their
phpini max_execution_time setting.

Made the changing of the limit pass thru a function for sanity checking

Change-Id: I0d27d68a377c338c634f2f845829682af149d79f
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3347
Committed: http://gitorious.org/mahara/mahara/commit/a24085822f61fc15e8bfa93ffebbcd5799819684
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.7_STABLE

commit a24085822f61fc15e8bfa93ffebbcd5799819684
Author: Robert Lyon <email address hidden>
Date: Mon May 12 12:21:11 2014 +1200

Increasing max execution time for install (Bug #1318430)

To allow for systems where the installation takes longer than their
phpini max_execution_time setting.

Made the changing of the limit pass thru a function for sanity checking

Change-Id: I0d27d68a377c338c634f2f845829682af149d79f
Signed-off-by: Robert Lyon <email address hidden>

Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers